{% extends 'projects/base.html'%}


{%block content%}


<main>
    <div>
        <h1>My Tasks</h1>
        {%if task_objects|length > 0%}

        <table>
            <thead>
                <th>Name</th>
                <th>Start date</th>
                <th>Due date</th>
                <th>Is completed</th>
            </thead>

            {%for item in task_objects.all%}
            <tr>
            <td>{{item.name}}</td>
            <td>{{item.start_date}}</td>
            <td>{{item.due_date}}</td>
            <td>{{item.is_completed|yesno}}</td>
            </tr>
            {%endfor%}
        </table>
        {%else%}
            <p>You have no tasks.</p>

        {%endif%}








{%endblock content%}
